Bug 1624642 - [abrt] snapd: runtime.raise(): snapd killed by SIGABRT
Summary: [abrt] snapd: runtime.raise(): snapd killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: snapd
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zygmunt Krynicki
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4bf38ce14104db50bf1f2dabdd4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-02 18:47 UTC by kxra
Modified: 2018-11-08 03:16 UTC (History)
2 users (show)

Fixed In Version: snapd-2.36-1.fc27 snapd-2.36-1.fc28 snapd-2.36-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-08 01:58:04 UTC


Attachments (Terms of Use)
File: backtrace (34.79 KB, text/plain)
2018-09-02 18:47 UTC, kxra
no flags Details
File: cgroup (179 bytes, text/plain)
2018-09-02 18:47 UTC, kxra
no flags Details
File: core_backtrace (77.12 KB, text/plain)
2018-09-02 18:47 UTC, kxra
no flags Details
File: cpuinfo (1.40 KB, text/plain)
2018-09-02 18:47 UTC, kxra
no flags Details
File: dso_list (316 bytes, text/plain)
2018-09-02 18:47 UTC, kxra
no flags Details
File: environ (262 bytes, text/plain)
2018-09-02 18:47 UTC, kxra
no flags Details
File: limits (1.29 KB, text/plain)
2018-09-02 18:47 UTC, kxra
no flags Details
File: maps (6.42 KB, text/plain)
2018-09-02 18:47 UTC, kxra
no flags Details
File: mountinfo (4.90 KB, text/plain)
2018-09-02 18:47 UTC, kxra
no flags Details
File: open_fds (463 bytes, text/plain)
2018-09-02 18:47 UTC, kxra
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-09-02 18:47 UTC, kxra
no flags Details
File: var_log_messages (10.09 KB, text/plain)
2018-09-02 18:47 UTC, kxra
no flags Details

Description kxra 2018-09-02 18:47:15 UTC
Version-Release number of selected component:
snapd-2.35-1.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 3
cmdline:        /usr/libexec/snapd/snapd
crash_function: runtime.raise
executable:     /usr/libexec/snapd/snapd
journald_cursor: s=2113c6740b26465c946200d2678ad6ad;i=7971;b=e5a7862d3a08465f8d33c804b71ab304;m=1269024c17;t=5747eceb27ff1;x=6e1f8fc8851755ac
kernel:         4.17.18-200.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 runtime.raise at /usr/lib/golang/src/runtime/sys_linux_amd64.s:159
 #1 runtime.dieFromSignal at /usr/lib/golang/src/runtime/signal_unix.go:422
 #2 runtime.sigfwdgo at /usr/lib/golang/src/runtime/signal_unix.go:631
 #3 runtime.sigtrampgo at /usr/lib/golang/src/runtime/signal_unix.go:287
 #4 runtime.sigtramp at /usr/lib/golang/src/runtime/sys_linux_amd64.s:352
 #5 __restore_rt
 #6 ??

Comment 1 kxra 2018-09-02 18:47:20 UTC
Created attachment 1480373 [details]
File: backtrace

Comment 2 kxra 2018-09-02 18:47:21 UTC
Created attachment 1480374 [details]
File: cgroup

Comment 3 kxra 2018-09-02 18:47:23 UTC
Created attachment 1480375 [details]
File: core_backtrace

Comment 4 kxra 2018-09-02 18:47:24 UTC
Created attachment 1480376 [details]
File: cpuinfo

Comment 5 kxra 2018-09-02 18:47:25 UTC
Created attachment 1480377 [details]
File: dso_list

Comment 6 kxra 2018-09-02 18:47:26 UTC
Created attachment 1480378 [details]
File: environ

Comment 7 kxra 2018-09-02 18:47:27 UTC
Created attachment 1480379 [details]
File: limits

Comment 8 kxra 2018-09-02 18:47:28 UTC
Created attachment 1480380 [details]
File: maps

Comment 9 kxra 2018-09-02 18:47:29 UTC
Created attachment 1480381 [details]
File: mountinfo

Comment 10 kxra 2018-09-02 18:47:30 UTC
Created attachment 1480382 [details]
File: open_fds

Comment 11 kxra 2018-09-02 18:47:31 UTC
Created attachment 1480383 [details]
File: proc_pid_status

Comment 12 kxra 2018-09-02 18:47:32 UTC
Created attachment 1480384 [details]
File: var_log_messages

Comment 13 Fedora Update System 2018-11-04 17:17:15 UTC
snapd-2.36-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-84d647b87e

Comment 14 Fedora Update System 2018-11-04 17:37:41 UTC
snapd-2.36-1.fc28 snapd-glib-1.44-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-48cc10ba1d

Comment 15 Fedora Update System 2018-11-04 17:38:35 UTC
snapd-2.36-1.fc27 snapd-glib-1.44-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-38a0753747

Comment 16 Fedora Update System 2018-11-05 02:41:21 UTC
snapd-2.36-1.fc27, snapd-glib-1.44-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-38a0753747

Comment 17 Fedora Update System 2018-11-05 03:46:01 UTC
snapd-2.36-1.fc28, snapd-glib-1.44-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-48cc10ba1d

Comment 18 Fedora Update System 2018-11-05 04:20:27 UTC
snapd-2.36-1.fc29, snapd-glib-1.44-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-84d647b87e

Comment 19 Fedora Update System 2018-11-08 01:58:04 UTC
snapd-2.36-1.fc27, snapd-glib-1.44-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2018-11-08 02:19:01 UTC
snapd-2.36-1.fc28, snapd-glib-1.44-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2018-11-08 03:16:06 UTC
snapd-2.36-1.fc29, snapd-glib-1.44-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.